From d3db066fe5947c2d7e335802deeeedf6d6c0819c Mon Sep 17 00:00:00 2001
From: Allan Blanchard <allan.blanchard@cea.fr>
Date: Tue, 23 Jul 2024 14:35:55 +0200
Subject: [PATCH] [nix] fail when creating wp-cache fails

---
 nix/wp-cache.nix.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/nix/wp-cache.nix.sh b/nix/wp-cache.nix.sh
index c2d075d1fef..1b63aa8170b 100755
--- a/nix/wp-cache.nix.sh
+++ b/nix/wp-cache.nix.sh
@@ -21,7 +21,10 @@
 #                                                                        #
 ##########################################################################
 
-commit="$(git ls-remote git@git.frama-c.com:frama-c/wp-cache.git HEAD | cut -f1)"
+commit="$(git ls-remote git@git.frama-c.com:frama-c/wp-cache.git HEAD)"
+if [ $? != 0 ]; then exit 1; fi
+
+commit=$(echo "$commit" | cut -f1)
 
 cat >./nix/wp-cache.nix << EOL
 { lib, stdenv } :
-- 
GitLab